Unable to install diffutils

Dear Experts,

could you please kindly advise why I am unable to install the diffutils package on OpenWRT 18 ?

# opkg install diffutils
Unknown package 'diffutils'.
Collected errors:
 * opkg_install_cmd: Cannot install package diffutils.

When I try to google this problem, I only get 2 websites in chinese :frowning:
Many thanks!

This is an old and unsupported version. You should really consider upgrading to a more recent version of OpenWrt that is currently supported... this will also have the significant benefit of resolving the many security vulnerabilities that exist in old and unsupported versions.

That said... did you run opkg update first?

let's see the output of:

ubus call system board
opkg update
opkg list | grep diffutils
4 Likes

Sorry this was my idiotic mistake. Had forgotten to run opkg update. After that diffutils installed fine!

Great!

If your problem is solved, please consider marking this topic as [Solved]. See How to mark a topic as [Solved] for a short how-to.
Thanks! :slight_smile:

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.